Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Nikolay Kudryavtsev <[email-masked]>
Date: Wed, 25 Oct 2023 15:36:18 +0300

I think a better perspective to frame this discussion is this:

Lets say you go to a restaurant and you order a duck. The waiter asks 
whether you want a white duck or a yellow duck. And then you're stuck 
thinking about the differences in gastronomic quantities of both.

Same thing here. Assuming the user is reasonable, but not knowledgeable 
yet, there's a risk that forcefully adding that cookie would derail such 
a user solving some trivial problem into learning the differences 
between dynamic and lexical scoping way before he really has to actually 
care about them.